[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[K12OSN] Adobe 7.0 fix for "expr: syntax error" K12ltsp 6 / Fedora Core 6



After installing some development packages Adobe Acrobat 7.0 would not launch for us. Click Icon nothing happens.
Launching it from the command line resulted in

expr: syntax error


The following fix was pulled from the Adobe Forums @ http://www.adobeforums.com/cgi-bin/webx/.3bc26b0d

edit  /usr/Adobe/Acrobat7/bin/acroread

add an * after the ] in the second parenthesis group, so that the line 418 looks like this

echo $mfile| sed 's/libgtk-x11-\([0-9]*\).0.so.0.\([0-9]*\)00.\([0-9]*\)\|\(.*\)/\1\2\3/g'

this will ensure that all versions are picked up in a proper way








[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]